Bug 1150020 - add-user utility doesn't escape names correctly
Summary: add-user utility doesn't escape names correctly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Security
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR5
: EAP 6.4.0
Assignee: Darran Lofthouse
QA Contact: Pavel Slavicek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-07 09:26 UTC by Josef Cacek
Modified: 2019-08-19 12:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
JBoss EAP 6's add user utility iterates the value being used as the key in a properties file and escapes all occurrences of special characters. In previous versions of the product, an error in how the characters were checked caused only the first instance of the 'equals' character (=) to be escaped. If a username contained a subsequent 'equals' character, it was not properly escaped, causing the generated properties file to be unusable. In this release, the special character handling is now corrected to handle all occurrences of the 'equals' character and usernames containing more than one are correctly written to the properties file.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker WFCORE-163 Major Resolved add-user only escaping first occurrence of special characters 2017-07-20 19:05:24 UTC

Description Josef Cacek 2014-10-07 09:26:04 UTC
When adding a user with name containing equal sign (=), only the first occurrence is escaped.

Reproducer:

./add-user.sh -u 'uid=jduke,ou=Users,dc=jboss,dc=org' -p admin.1234 -r ManagementRealm -g SuperUser

cat ../standalone/configuration/mgmt-users.properties

Actual output:
uid\=jduke,ou=Users,dc=jboss,dc=org=<HASH>

Expected output:
uid\=jduke,ou\=Users,dc\=jboss,dc\=org=<HASH>

Comment 1 JBoss JIRA Server 2014-10-13 14:10:54 UTC
Darran Lofthouse <darran.lofthouse@jboss.com> updated the status of jira WFCORE-163 to Coding In Progress


Note You need to log in before you can comment on or make changes to this bug.